petsc-3.7.7 2017-09-25
Report Typos and Errors

# PCShellSetContext

sets the context for a shell PC

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCShellSetContext(PC pc,void *ctx)

Logically Collective on PC

### Input Parameters

| pc | - the shell PC
| ctx | - the context

Fortran Notes: To use this from Fortran you must write a Fortran interface definition for this function that tells Fortran the Fortran derived data type that you are passing in as the ctx argument.

### See Also

PCShellGetContext(), PCSHELL

Level:advanced
Location:src/ksp/pc/impls/shell/shellpc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex15.c.html
src/ksp/ksp/examples/tutorials/ex15f.F.html
src/snes/examples/tutorials/ex74f.F90.html
src/tao/pde_constrained/examples/tutorials/parabolic.c.html
src/tao/pde_constrained/examples/tutorials/hyperbolic.c.html